Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 12/13/2023 in all areas

  1. @leonucadomi Just did an update for corrections. Please re-copy and try it.
    1 point
  2. Something like this? Quickly written and tested and no minimal error handling: EDIT: Added an option to enter the text height or default to 20. (defun c:foo (/ at dc ht i n obj ss) (vl-load-com) (vla-startundomark (setq dc (vla-get-activedocument (vlax-get-acad-object)))) (if (and (setq ss (ssget '((0 . "INSERT")))) (setq ht (getreal "\nEnter Height Value <20.0>: ") ht (if ht ht 20.0) ) ) (repeat (setq i (sslength ss)) (setq obj (vlax-ename->vla-object (ssname ss (setq i (1- i)))) at (vla-getattributes obj) at (if at (vlax-variant-value at)) n 0 ) (while (and at (>= (vlax-safearray-get-u-bound at 1) n)) (vla-put-height (vlax-safearray-get-element at n) ht) (setq n (1+ n)) ) ) ) (vla-endundomark dc) (princ) )
    1 point
  3. 1 point
  4. @Steven P i think yours was not working since he is using spaces in between the numbers
    1 point
  5. is the HP a typo ? or is it part of (c:BurstAllBlocks) All the lisps need to be set to run and not have a command input. Are all the programs preloaded ? Maybe in start up suite, If not load then run.
    1 point
×
×
  • Create New...